Bug 1262206 - repository-packages list all doesn't list installed packages
repository-packages list all doesn't list installed packages
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-11 03:37 EDT by Kamil Páral
Modified: 2016-11-24 09:13 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-24 09:12:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kamil Páral 2015-09-11 03:37:35 EDT
Description of problem:
dnf repository-packages does not list all packages in a repository, but only those not installed. Even when running with "list installed", it does not list installed packages, but that's probably caused by the fact the those packages were installed by system-upgrade and not dnf itself. But listing all packages should work in all cases, and it doesn't. --refresh didn't help.


$ sudo dnf repository-packages fedora-phabricator list all 
Last metadata expiration check performed 0:01:18 ago on Fri Sep 11 09:31:52 2015.
Available Packages
phabricator.noarch                     20150804.gitec7a083-1.fc23                     fedora-phabricator



$ sudo dnf repository-packages fedora-phabricator list installed
Cannot prepare internal mirrorlist: No URLs in mirrorlist, disabling.
Last metadata expiration check performed 0:01:38 ago on Fri Sep 11 09:31:52 2015.



$ sudo repoquery -qa --disablerepo=\* --enablerepo=fedora-phabricator

Yum-utils package has been deprecated, use dnf instead.
See 'man yum2dnf' for more information.

arcanist-0:20150804.git0d6f332-1.fc23.noarch
libphutil-0:20150804.gitaa6cd8f-1.fc23.noarch
phabricator-0:20150804.gitec7a083-1.fc23.noarch

$ rpm -q libphutil arcanist phabricator
libphutil-20150804.gitaa6cd8f-1.fc23.noarch
arcanist-20150804.git0d6f332-1.fc23.noarch
package phabricator is not installed



$ cat /etc/yum.repos.d/fedora-phabricator.repo 
# Place this file in your /etc/yum.repos.d/ directory

[fedora-phabricator]
name=Phabricator Repsitory
baseurl=http://repos.fedorapeople.org/repos/tflink/phabricator/fedora-$releasever/$basearch/
enabled=1
skip_if_unavailable=1
gpgcheck=0

[fedora-phabricator-testing]
name=Phabricator Testing Repository
baseurl=http://repos.fedorapeople.org/repos/tflink/phabricator/fedora-$releasever-testing/$basearch/
enabled=0
skip_if_unavailable=1
gpgcheck=0

[fedora-phabricator-source]
name=Phabricator Source Repository
baseurl=http://repos.fedorapeople.org/repos/tflink/phabricator/fedora-$releasever/SRPMS
enabled=0
skip_if_unavailable=1
gpgcheck=0




Version-Release number of selected component (if applicable):
dnf-1.1.1-2.fc23.noarch

How reproducible:
always for me
Comment 1 Honza Silhan 2015-09-16 06:59:58 EDT
Thanks for the report. It's weird.
Comment 2 Fedora Admin XMLRPC Client 2016-07-08 05:39:42 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 T-Gergely 2016-11-12 18:28:26 EST
"list installed" still doesn't work in Fedora 24 :(
Comment 4 Fedora End Of Life 2016-11-24 07:29:16 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Kamil Páral 2016-11-24 09:12:46 EST
Seems to be fixed in F25 with dnf-1.1.10-3.fc25.noarch. Tested with google-chrome repo.

Note You need to log in before you can comment on or make changes to this bug.